
noinst_LTLIBRARIES = libgisubuntu-changes.la

BUILT_SOURCES =

resource_files = $(shell glib-compile-resources --sourcedir=$(srcdir) --generate-dependencies $(srcdir)/ubuntu-changes.gresource.xml)
ubuntu-changes-resources.c: ubuntu-changes.gresource.xml $(resource_files)
	$(AM_V_GEN) $(GLIB_COMPILE_RESOURCES) --target=$@ --sourcedir=$(srcdir) --generate-source $<
ubuntu-changes-resources.h: ubuntu-changes.gresource.xml $(resource_files)
	$(AM_V_GEN) $(GLIB_COMPILE_RESOURCES) --target=$@ --sourcedir=$(srcdir) --generate-header $<
BUILT_SOURCES += ubuntu-changes-resources.c ubuntu-changes-resources.h

libgisubuntu_changes_la_SOURCES =	\
	gis-ubuntu-changes-page.c gis-ubuntu-changes-page.h	\
	$(BUILT_SOURCES)

libgisubuntu_changes_la_CFLAGS = $(INITIAL_SETUP_CFLAGS) -I "$(srcdir)/../.." -I "$(top_srcdir)" -I "$(top_builddir)"
libgisubuntu_changes_la_LIBADD = $(INITIAL_SETUP_LIBS)
libgisubuntu_changes_la_LDFLAGS = -export_dynamic -avoid-version -module -no-undefined

EXTRA_DIST = ubuntu-changes.gresource.xml $(resource_files)

CLEANFILES = $(BUILT_SOURCES)
